import type { _CLRegion } from "./CLRegion.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { CLLocationCoordinate2D } from "../structs/CLLocationCoordinate2D.js";
export declare class _CLCircularRegion extends _CLRegion {
    static alloc(): _CLCircularRegion;
    static new(): _CLCircularRegion;
    init(): _CLCircularRegion;
    /**
     * initWithCenter:radius:identifier: Discussion: Initialize a region. center gives the coordinates of center of the region, while radius gives the distance in meters between the center and the region's boundary. identifier is a description for the region that could be displayed to the user, and ideally should be chosen by the user.
     */
    initWithCenter$radius$identifier$(center: CLLocationCoordinate2D, radius: number, identifier: _NSString): _CLCircularRegion;
    /**
     * containsCoordinate: Discussion: Returns YES if the coordinate lies inside the region, and NO otherwise.
     */
    containsCoordinate$(coordinate: CLLocationCoordinate2D): boolean;
    /** center Discussion: Returns the coordinate of the center of the region. */
    center(): CLLocationCoordinate2D;
    /** radius Discussion: Returns the radius of the region. */
    radius(): number;
}
